<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$riqi = empty($_GET['riqi']) ? '' : substr(insql($_GET['riqi']), 0, 10);
$query = "SELECT MAX(num01),MAX(num06),MAX(num09) FROM ${cfg_dbprefix}statistics_01 WHERE DATE(time)='$riqi' and hour<>24";
$result = $nxsql->oneRowVal($query);
$max_U = $result[0];
$max_S = $result[1];
$max_C = $result[2];
$list_U = '';
$list_S = '';
$list_C = '';
$query = "SELECT * FROM ${cfg_dbprefix}statistics_01 WHERE DATE(time)='$riqi' and hour<>24";
if ($result = $nxsql->query($query)) {
    while ($row = $result->fetch_row()) {
        $list_U .= '<td><span class="ui-state-error" style="display: inline-block; width: 99%; height: ' . ceil((200 / ($max_U ? $max_U : 1)) * $row[3]) . 'px;" title="' . $row[3] . '"></span></td>';
        $list_S .= '<td><span class="ui-state-error" style="display: inline-block; width: 99%; height: ' . ceil((200 / ($max_S ? $max_S : 1)) * $row[8]) . 'px;" title="' . $row[8] . '"></span></td>';
        $list_C .= '<td><span class="ui-state-error" style="display: inline-block; width: 99%; height: ' . ceil((200 / ($max_C ? $max_C : 1)) * $row[11]) . 'px;" title="' . $row[11] . '"></span></td>';
    }
    $result->close();
}
